Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025741
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-02-14 14:222014-02-27 06:40
ReporterjecharriView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision6e74c0a22769
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025741: Impossible to add the widget "User defined HTML Widget"

DescriptionImpossible to add the widget "User defined HTML Widget"
Steps To Reproduce-Login to ERP
-Inside the workspace go to manage Workspace section
-Press in "Admin Others"
-Select a "level" and "value"

Try to add the widget "User defined HTML Widget"

You will see that sometimes does not appear and when it appears it is impossible to add with error

"Error occured: org.codehaus.jettison.json.JSONException: JSONObject["widgetClassName"] not found."
TagsNo tags attached.
Attached Filestxt file icon error_trace.txt [^] (11,812 bytes) 2014-02-14 14:22 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00208703.0MP14 closedAugustoMauch Error when adding widget with admin others 
related to defect 0025759 acknowledgedplatform admin others widget doesn't save params 1st time 
related to defect 00263963.0PR14Q2 closedalostale When you check a role as "portal user" that role can not see the widgets 

-  Notes
(0064324)
alostale (developer)
2014-02-18 16:34

There are 2 problems:

1. There is a cache of available widgets which is correctly updated and retrieves different widgets in own workspace and when administrating others. This cache should be reflected in the widget drop down list, but it is not correctly updated. So currently, with Openbravo user, group admin role:
  a. If 1st add widget is opened and later admin others User Defined HTML widget is shown though it doesn't work when admin others.
  b. If 1st is opened admin others, the widget doesn't appear, but it doesn't appear when going back to standard workspace.

2. When fixing issue 0020870, widgets with mandatory parameters without default value were removed from admin others widget list (User Defined HTML widget is one of these)

Proposed solution is to fix both issues.

Test plan includes no regression for issue 0020870
(0064325)
hgbot (developer)
2014-02-18 16:40

Repository: erp/devel/pi
Changeset: 6e74c0a22769f683ae89bf41ea6fd591bef2dc12
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 18 16:39:11 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6e74c0a22769f683ae89bf41ea6fd591bef2dc12 [^]

fixed bug 25741: widget admin failed in some circumstances

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoActionHandler.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponent.java
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
---
(0064365)
hudsonbot (developer)
2014-02-19 15:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d80214f6d50a [^]
Maturity status: Test
(0064639)
shankarb (developer)
2014-02-27 06:40

Code reviewed and verified in pi changeset b2b40bda6f96.

- Issue History
Date Modified Username Field Change
2014-02-14 14:22 jecharri New Issue
2014-02-14 14:22 jecharri Assigned To => AugustoMauch
2014-02-14 14:22 jecharri File Added: error_trace.txt
2014-02-14 14:22 jecharri Web browser => Google Chrome
2014-02-14 14:22 jecharri Modules => Core
2014-02-14 14:22 jecharri Triggers an Emergency Pack => No
2014-02-14 14:25 AugustoMauch Assigned To AugustoMauch => shankarb
2014-02-18 15:27 alostale Relationship added related to 0020870
2014-02-18 16:27 alostale Assigned To shankarb => alostale
2014-02-18 16:34 alostale Note Added: 0064324
2014-02-18 16:38 alostale Review Assigned To => shankarb
2014-02-18 16:38 alostale Web browser Google Chrome => Google Chrome
2014-02-18 16:40 hgbot Checkin
2014-02-18 16:40 hgbot Note Added: 0064325
2014-02-18 16:40 hgbot Status new => resolved
2014-02-18 16:40 hgbot Resolution open => fixed
2014-02-18 16:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6e74c0a22769f683ae89bf41ea6fd591bef2dc12 [^]
2014-02-18 16:51 alostale Relationship added related to 0025759
2014-02-19 15:12 hudsonbot Checkin
2014-02-19 15:12 hudsonbot Note Added: 0064365
2014-02-27 06:40 shankarb Note Added: 0064639
2014-02-27 06:40 shankarb Status resolved => closed
2014-02-27 06:40 shankarb Fixed in Version => 3.0MP32
2014-04-28 11:33 alostale Relationship added related to 0026396


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker